all:
    @just format
    @just static-analysis
    @just test

format:
    cd ./drone-black-box && go fmt 
    fd --extension java --exec google-java-format --replace --aosp {}


static-analysis:
    cd ./drone-black-box && go vet ./...

test:
    cd ./drone-black-box && go test -v ./... -coverprofile=coverage.out
    cd ./drone-black-box && go tool cover -html=coverage.out -o coverage.html
    rm ./drone-black-box/coverage.out
    # Java
    cd ./ilp-rest-service/ && ./gradlew check
